# replacementChar

Defines the printable character used to substitute invalid sequences.

This parameter applies to Fix invalid UTF-8 Sequences (mmutf8fix).

Name:

  replacementChar

Scope:

  input

Type:

  string

Default:

  “ “

Required?:

  no

Introduced:

  7.5.4

## Description

This is the character that invalid sequences are replaced by. It is strongly recommended to use a printable US-ASCII character. Note that only the first byte of the provided string is used without validation.

## Input usage

    module(load="mmutf8fix")

    action(type="mmutf8fix" replacementChar="#")

## See also

See also Fix invalid UTF-8 Sequences (mmutf8fix).

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.